using System.Collections.Generic;
using TaskIt.Modules.Tasks.Assets.Resources;

namespace TaskIt.Modules.Tasks.Models
{
    public class TaskStatus
    {
        public string Name { get; set; }
        public bool Value { get; set; }

        public override string ToString()
        {
            return Name;
        }

        public static List<TaskStatus> GetTaskStatuses()
        {
            return new List<TaskStatus>
                       {
                           new TaskStatus {Name = TasksStrings.Value_TaskStatusIncomplete, Value = false},
                           new TaskStatus {Name = TasksStrings.Value_TaskStatusComplete, Value = true}                        
                       };
        }
    }
}